Package io.vertx.grpc.reflection.v1

## Enum ServerReflectionRequest.MessageRequestCase

- java.lang.Object
- - java.lang.Enum<ServerReflectionRequest.MessageRequestCase>
  - - io.vertx.grpc.reflection.v1.ServerReflectionRequest.MessageRequestCase

- All Implemented Interfaces:
    `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<ServerReflectionRequest.MessageRequestCase>`
  Enclosing class:
    ServerReflectionRequest

      public static enum ServerReflectionRequest.MessageRequestCase
      extends Enum<ServerReflectionRequest.MessageRequestCase>
      implements com.google.protobuf.Internal.EnumLite

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL_EXTENSION_NUMBERS_OF_TYPE` |
    `FILE_BY_FILENAME` |
    `FILE_CONTAINING_EXTENSION` |
    `FILE_CONTAINING_SYMBOL` |
    `LIST_SERVICES` |
    `MESSAGEREQUEST_NOT_SET` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ServerReflectionRequest.MessageRequestCase` | `forNumber​(int value)` |
    `int` | `getNumber()` |
    `static ServerReflectionRequest.MessageRequestCase` | `valueOf​(int value)` | Deprecated.
    `static ServerReflectionRequest.MessageRequestCase` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ServerReflectionRequest.MessageRequestCase[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE_BY_FILENAME

          public static final ServerReflectionRequest.MessageRequestCase FILE_BY_FILENAME

    - #### FILE_CONTAINING_SYMBOL

          public static final ServerReflectionRequest.MessageRequestCase FILE_CONTAINING_SYMBOL

    - #### FILE_CONTAINING_EXTENSION

          public static final ServerReflectionRequest.MessageRequestCase FILE_CONTAINING_EXTENSION

    - #### ALL_EXTENSION_NUMBERS_OF_TYPE

          public static final ServerReflectionRequest.MessageRequestCase ALL_EXTENSION_NUMBERS_OF_TYPE

    - #### LIST_SERVICES

          public static final ServerReflectionRequest.MessageRequestCase LIST_SERVICES

    - #### MESSAGEREQUEST_NOT_SET

          public static final ServerReflectionRequest.MessageRequestCase MESSAGEREQUEST_NOT_SET

  - ### Method Detail

    - #### values

          public static ServerReflectionRequest.MessageRequestCase[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerReflectionRequest.MessageRequestCase c : ServerReflectionRequest.MessageRequestCase.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerReflectionRequest.MessageRequestCase valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueOf

          @Deprecated
          public static ServerReflectionRequest.MessageRequestCase valueOf​(int value)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `value` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### forNumber

          public static ServerReflectionRequest.MessageRequestCase forNumber​(int value)

    - #### getNumber

          public int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`